# class SoundTransform

#### package openfl.media

Available on all platforms

The SoundTransform class contains properties for volume and panning.

### Constructor

###

`new (vol:Float = 1, panning:Float = 0)`

Creates a SoundTransform object.

Parameters:

`vol` | The volume, ranging from 0(silent) to 1(full volume).
`panning` | The left-to-right panning of the sound, ranging from -1 (full pan left) to 1(full pan right). A value of 0 represents no panning(center).

### Variables

###

`leftToLeft:Float`

A value, from 0(none) to 1(all), specifying how much of the left input is played in the left speaker.

###

`leftToRight:Float`

A value, from 0(none) to 1(all), specifying how much of the left input is played in the right speaker.

###

`pan:Float`

The left-to-right panning of the sound, ranging from -1(full pan left) to 1(full pan right). A value of 0 represents no panning(balanced center between right and left).

###

`rightToLeft:Float`

A value, from 0(none) to 1(all), specifying how much of the right input is played in the left speaker.

###

`rightToRight:Float`

A value, from 0(none) to 1(all), specifying how much of the right input is played in the right speaker.

###

`volume:Float`

The volume, ranging from 0(silent) to 1(full volume).

### Methods

###

`clone ():SoundTransform`